Skip to navigation

Get a skill

Returns one version of a skill, with its body and a list of its files. Returns the current version unless another is requested. Requires read access to the skill.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

skillIdstringRequired>=1 character

Skill id (UUID).

Query parameters

versionintegerOptional>=1

Version to return; the current version when omitted.

includeDeletedenumOptionalDefaults to false

When “true”, a deleted Skill is returned too, with the time it was deleted in deleted.at, to callers who could read it before it was deleted; others get 403. “false” is the same as omitting it.

Allowed values:

Response

The Skill version. Resource contents are not included, only each resource's path, content type and size.
messagestring
dataobject

Errors

500
Internal Server Error